Subject: Re: bug#74616: 30.0.92; tmm always displays the *Completions* buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Dec 2024 09:17:26 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked]
> Date: Sat, 07 Dec 2024 15:38:14 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Stefan Monnier <[email-masked]>
> >> Cc: Daniel Mendler <[email-masked]>,  [email-masked]
> >> Date: Sat, 30 Nov 2024 13:55:02 -0500
> >> 
> >> > I think the automatic detection is a better default behavior, but
> >> > maybe we could have a variable (not necessarily a defcustom) for users
> >> > who would like to have the old behavior.
> >> > Stefan, WDYT?
> >> 
> >> I often use the standard UI and I generally don't like this eagerness to
> >> display *Completions*, so I'd either change the code not to auto-display
> >> the buffer (what I have done locally) or at least offer a variable
> >> for that.
> >> 
> >> So it seems like the var should have 3 settings: always show, never
> >> show, and "guess" (tho maybe we can skip the "guess" option and let the
> >> other completion UIs set the var to nil).
> >
> > Daniel, would you like to submit the patch with these changes?
> 
> So is the plan to add a completion metadata `eager-display' such that
> completion tables can request immediate display? This completion
> metadata can then be overridden by the user via
> `completion-category-overrides'. The patch would include changes to tmm,
> ffap-menu and imenu (obsoleting `imenu-eager-completion-buffer').

AFAIU, both Stefan and myself only commented on the more specific
change you suggested originally, not the more general one you
described in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74616#11